I broke a script in this commit, here is the patch to fix it, also deleted all
of the trailing whitespace in the file.
Thank you for your time,
-Chase
‐‐‐‐‐‐‐ Original Message ‐‐‐‐‐‐‐
On April 26, 2018 1:01 AM, Chase via cdesktopenv-devel
<cdesktopenv-devel@lists.sourceforge.net> wrote:
> This patch guts all code that allowed UXP/DS support, the platform hasn't
> seen an update since 1999 and has almost no chance of being made open source.
> I sent a courtesy email to Xinuos about discontinuing CDE for pre-BSD
> Unixware, and so far they haven't gotten back to me yet, in the meantime, I
> will be working on gutting the other discontinued platforms.
>
> Thank you for your time,
> -Chase
From cd4e2f6e2e56f931891a70cc26977940acec28ce Mon Sep 17 00:00:00 2001
From: chase <ch...@localhost.com>
Date: Thu, 26 Apr 2018 07:15:32 -0700
Subject: [PATCH] mkProd: fix broken script, eliminate trailing whitespace
---
cde/admin/IntegTools/dbTools/mkProd | 50 ++++++++++++++---------------
1 file changed, 24 insertions(+), 26 deletions(-)
diff --git a/cde/admin/IntegTools/dbTools/mkProd b/cde/admin/IntegTools/dbTools/mkProd
index e3798cd4..1b31d0d0 100755
--- a/cde/admin/IntegTools/dbTools/mkProd
+++ b/cde/admin/IntegTools/dbTools/mkProd
@@ -1,4 +1,4 @@
-#! /bin/ksh
+#! /bin/ksh
export SYSTYPE=bsd4.3
@@ -32,7 +32,7 @@ alias echo=print
# <install-rule> ==> [optional] 2 character field encoding special actions to be invoked when
# creating the product tree. In the absence of this field the file is subject
# to defaults based on its name,destination directory and permissions.
-# valid values:
+# valid values:
# -- Do nothing special
# c- compress the file
# -n run it through an nroff pipeline
@@ -115,7 +115,7 @@ fi
awkit() {
awk '
BEGIN {
- print "#"
+ print "#"
print "# TYPE RULE SRC DEST MODE OWNER GROUP LINKSRC"
print ""
}
@@ -129,7 +129,7 @@ awkit() {
if ( NF == 0 )
next
# do a little syntax checking
-
+
if ( $1 !~ /\// ) {
# check for special install_rule values
if ( $1 ~ /[-c][-ns]/ ) {
@@ -148,13 +148,13 @@ awkit() {
next
}
}
-
+
if ( NF > 9 ) {
print "Syntax Error (line " NR ") number of fields"
print "text: " $0
exit
}
-
+
if ( $2 !~ /0[0-7][0-7]*/ ) {
print "Syntax Error (line " NR ") perm : " $2
print "text: " $0
@@ -199,7 +199,7 @@ awkit() {
};
}
else if ( $4 == "directory" )
- if ( $3 != "-" )
+ if ( $3 != "-" )
{
print "Syntax Error (line " NR ") directory: " $3;
print "text: " $0;
@@ -236,7 +236,7 @@ awkit() {
if ( $7 != "" )
status = $7
-
+
if ( $8 != "" )
processor = $8;
@@ -280,8 +280,8 @@ awkit() {
}
else
install_rule = "'$INSTALL_RULE'";
-
-
+
+
# print "install_target : " $1
# print "fileset : " "'$FILESET'"
# print "type : " type
@@ -321,7 +321,7 @@ createPath()
echo " ARGS=$@"
return 1
fi
-
+
# Since we are SYSTYPE bsd4.3 "-x" won't work.
if [ -r /sys5.3/bin/mkdir ]; then
/sys5.3/bin/mkdir -p $1
@@ -330,8 +330,8 @@ createPath()
if hp9000s300 > /dev/null 2>&1 || hp9000s800 > /dev/null 2>&1; then
mkdir -p $1
return
- fi
-
+ fi
+
#
# We can't use mkdir -p so do the hard way.
# starting at the root check/create all the directories
@@ -357,7 +357,7 @@ createPath()
xdirs=""
fi
- echo creating path: $1
+ echo creating path: $1
while nextdir=`expr /$fulldirs/ : '/*\([^/]*\)/.*'`; do
xdirs=$xdirs/$nextdir
@@ -367,11 +367,11 @@ createPath()
fulldirs=`expr $fulldirs : '/*[^/]*/\(.*\)'`
done
- return 0
+ return 0
}
# doit
-# function to put the source file into the product tree. This function
+# function to put the source file into the product tree. This function
# reads its stdin for file movement rules.
#
doit()
@@ -380,7 +380,7 @@ doit()
echo "ERROR: \"$0\" incorrect arg count" >&2
echo "ARGS: $@" >&2
fi
-
+
typeset TYPE
typeset RULE
typeset SRC
@@ -388,7 +388,7 @@ doit()
typeset MODE
typeset OWNER
typeset GROUP
-
+
while read TYPE RULE SRC DEST MODE OWNER GROUP; do
# ignore blank lines
if [ -z "$TYPE" ]; then
@@ -408,7 +408,7 @@ doit()
CMD="createPath $DEST"
fi
;;
- file)
+ file)
SRC=$SRCTREE/$SRC
if [ "$CHECK_BEFORE" = "yes" ]
then
@@ -435,7 +435,7 @@ doit()
CMD="cp $SRC $DEST"
fi
;;
- -s) # strip rule
+ -s) # strip rule
# Domain Only
# if [ "$(find $SRC -typeuid coff -print)" = "$SRC" ]; then
# hp-ux
@@ -514,9 +514,9 @@ doit()
# set permissions for non-links
if [ "${TYPE%link}" = "$TYPE" ]; then
if [ "$USER" = "root" ]; then
- chgrp $GROUP $DEST ||
+ chgrp $GROUP $DEST ||
echo "ERROR: \"chgrp $GROUP $DEST\" failed" >&2
- chown $OWNER $DEST ||
+ chown $OWNER $DEST ||
echo "ERROR: \"chown $OWNER $DEST\" failed" >&2
chmod $MODE $DEST ||
echo "ERROR: \"chmod $MODE $DEST\" failed" >&2
@@ -615,7 +615,7 @@ if [ -f /com/ctnode ]; then
#
# Make sure berkely style permissions are applied to the product tree
# This should cause directories to be created with permissions based
- # on the umask (which is otherwise ignored on "open security model"
+ # on the umask (which is otherwise ignored on "open security model"
# file systems).
#
chacl -RB $DESTTREE
@@ -635,9 +635,7 @@ TOOL_DIR=$SRCTREE/admin/IntegTools/dbTools
# Avoid making duplicate entries
# make sure links are referred to AFTER the files to which they point.
#
-if
- $TOOL_DIR/uncomment $files | sort | uniq | $TOOL_DIR/linksLast - | awkit | doit
-fi
+$TOOL_DIR/uncomment $files | sort | uniq | $TOOL_DIR/linksLast - | awkit | doit
echo ""
echo "#-------------- $(date) --------------"
--
2.17.0
------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
cdesktopenv-devel mailing list
cdesktopenv-devel@lists.sourceforge.net
https://lists.sourceforge.net/lists/listinfo/cdesktopenv-devel